Subject: [bug#70936] [PATCH gnome-team 2/3] gnu: qtbase: Ignore tst_qsqlthread.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 16 May 2024 12:06:40 -0400

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Am Donnerstag, dem 16.05.2024 um 08:44 -0400 schrieb Maxim Cournoyer:
>> Hi Liliana,
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> 
>> > Am Dienstag, dem 14.05.2024 um 21:34 -0400 schrieb Maxim Cournoyer:
>> > > Hi Liliana,
>> > > 
>> > > Liliana Marie Prikler <[email-masked]> writes:
>> > > 
>> > > > * gnu/packages/qt.scm (qtbase)[check]: Add “tst_qsqlthread” to
>> > > > the
>> > > > list of
>> > > > ignored tests.
>> > > > ---
>> > > >  gnu/packages/qt.scm | 3 +++
>> > > >  1 file changed, 3 insertions(+)
>> > > > 
>> > > > diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
>> > > > index 13f54fcc5d..1416c3a36c 100644
>> > > > --- a/gnu/packages/qt.scm
>> > > > +++ b/gnu/packages/qt.scm
>> > > > @@ -899,6 +899,9 @@ (define-public qtbase
>> > > >                         ;; TODO: when core-updates is merged,
>> > > > check
>> > > > again.
>> > > >                         "tst_selftests"
>> > > >  
>> > > > +                       ;; The 'tst_qsqlthread' test sometimes
>> > > > fails.
>> > > > +                       "tst_qsqlthread"
>> > > > +
>> > > 
>> > > This was reported by myself [0] and is currently skipped only for
>> > > target-ppc64le?.  We should probably skip it for every
>> > > architecture
>> > > if you've encountered it on x86_64 (I'm assuming).
>> > > 
>> > > [0] 
>> > > https://bugreports.qt.io/browse/QTBUG-117114?jql=text%20~%20%22tst_qsqlthread%22
>> > Should I rebase gnome-team on master again, so that I can drop the
>> > condition?
>> 
>> Sounds reasonable, if you didn't have that conditional skip on
>> gnome-team already.
> I don't see it even after the rebase… is that on master yet or
> elsewhere?
>
> Anyhow, I think I forgot to link the bug report appropriately before
> pushing, will do so when CI lights green.

It's from commit 625fa5745e3, dated 26th of March 2024.

-- 
Thanks,
Maxim